Difference between revisions of "Bash buildin: trap"
Jump to navigation
Jump to search
Line 4: | Line 4: | ||
trap - INT | trap - INT | ||
(no output) | (no output) | ||
+ | |||
+ | |||
+ | |||
+ | err_report() { | ||
+ | echo "ERROR: existed with error on line $1" | ||
+ | } | ||
+ | |||
+ | trap 'err_report [[$LINENO]]' ERR | ||
Revision as of 10:49, 29 August 2022
This article is a Draft. Help us to complete it.
trap - INT (no output)
err_report() { echo "ERROR: existed with error on line $1" }
trap 'err_report $LINENO' ERR
Related terms
See also
set, unset, set -o, set -x, set -e, set +e, set -E, set +b, set -u, $?, exit, return, trap, PostgreSQL SET
Bash [ -c ]
,alias
,&&
, Bash history, Autocompletion,set
,unset
,export
,.bash_aliases, .bashrc and .bash profile
,PS1
,echo
,brace expansion
, Function,shopt
,trap
,set -e
,source
,PATH
,complete
,disown
,.hushlogin
,.bashrc
,builtin
,eval
,set
,$PATH
,$HOME
,TZ
,.profile
,-e, -i
,Builtin (Bash)
,mapfile
,~
, return (Bash), for, until,declare, dirname, basename, functions.sh
, Bash arithmetic expansion,shift, bash --rcfile, readonly, $1, $@
Advertising: